* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}

body {
  font-family: 'Poppins', sans-serif;
  display: grid;
  min-height: 100dvh;
  max-width: 100dvw;
  grid-template-rows: auto 1fr auto;
  overflow-x: hidden;
}

figure {
  margin: 0 0 0;
}

.brand-header {
  height: 120px;
  width: 100%;
  position: sticky;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px 5%;
  background: #35356186;
  backdrop-filter: blur(35px);
  z-index: 99;
}

.brand-header ul {
  display: flex;
  align-items: center;
  gap: 15px;
  list-style: none;
  margin-bottom: 0;
}

.brand-header ul li a {
  color: white;
  font-weight: 500;
  font-size: 1.2rem;
  text-transform: uppercase;
  transition: color 0.3s ease;
  text-decoration: none;
  padding: 10px 10px;
  border-radius: 25px;
  border: solid 3px transparent;
  &:hover {
    border: solid 3px white;
  }
}

.logo-container {
  height: auto;
  width: 250px;
  padding: 15px 0;
  cursor: pointer;
}

.logo-container img {
  width: 100%;
  height: auto;
}

.bg-image {
  background-image: url("../img/fa-fondo.png");
  background-position-x: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
  top: 0;
  width: 100%;
  height: 110vh;
  z-index: -1;
  filter: brightness(.9) contrast(1);
}

.login-section {
  display: grid;
  text-align: center;
  align-items: center;
  grid-template-columns: 1fr 1fr;
  padding: 4.5rem 2rem;
  height: auto;
  width: 100%;
  text-align: center;
  justify-content: center;
}

.login-container {
  display: flex;
  justify-content: center;
}

.form-container {
  max-width: 500px;
  background-color: rgba(228, 228, 228, 0.4);
  backdrop-filter: blur(10px);
  height: auto;
  padding: 10px 45px;
  border-radius: 25px;
  box-shadow: 0 5px 10px -5px rgb(0 0 0/ 30%);
  text-align: left;
}

.form-container img {
  width: 300px;
  display: block;
  margin: 0 auto 20px auto;
  height: auto;
}

.footer {
  position: sticky;
}

.form-footer {
  display: flex;
  flex-direction: column;
  gap: 25px;
  justify-content: space-around;
  align-items: center;
  padding-bottom: 30px;
}

.form-footer a {
  text-decoration: none;
  font-weight: bold;
}

 .btn-submit {
  padding: 1rem 2rem;
  color: white;
  background-color: #FF7F00;
  border: none;
  border-radius: 25px;
  font-size: 1.2rem;
  font-weight: bold;
  box-shadow: 0 6px 15px rgba(234, 148, 59, 0.6);
 }

 .btn-submit:hover {
    background-color: #ffa23e;
    transform: translateY(-2px);
    box-shadow: 0 10px 22px rgba(234, 148, 59, 0.6);
}

 .form-input {
    border-radius: 15px;
    padding: 15px;
    width: 100%;
    margin-top: 0.5rem;
    text-align: left;
    border: none;
 }

 .form-label {
  text-align: left;
  width: 100%;
  font-weight: bold;
}

.us-container {
  display: flex;
  justify-content: center;
  padding: 4rem 2rem;
}

.us-card {
  background-color: white;
  border-radius: 25px;
  width: 90%;
  height: auto;
  border: none;
  box-shadow: 0px 0px 20px 5px rgb(0 0 0 / 30%);
  padding: 3rem 3rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}

.us-card h2 {
  color: #FF7F00;
}

.card-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.card-list li {
  text-align: center;
  padding: 25px 50px;
}

.card-list li h3 {
  margin: 1rem 0;
  font-weight: 600;
  color: #5f331e;
}

.card-list li p {
  font-size: 1.2rem;
}

.img-card img{
  display: block;
  width: 150px;
  margin: auto;
}

.logo-figure {
  width: 100%;
}

.brand-container {
  padding-top: 50px;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.login-section .brand-container h1 {
  color: white;
  font-size: 4.5rem;
  font-weight: bold;
  text-transform: uppercase;
  z-index: 2;
  text-align: center;
  text-shadow: 4px 4px 20px rgba(0,0,0,0.5);
}

.brand-container h2 {
  color: #672407;
  font-size: 2.5rem;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  text-shadow: 1px 2px 9px rgb(252 141 63 / 52%);
}

.logo-figure img {
  width: 30%;
  height: auto;
}

.button-form {
  background-color: transparent;
  border: 1px solid transparent;
  font-weight: bold;
}

.btn-seend{
  display: flex;
  align-items: flex-end;
}

.link-primary-password {
    color: #003cff;
    font-weight: 600;
    font-size: 1.1rem;
    position: relative;
}

.link-primary-password::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background-color: #003cff;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.25s ease;
}

.link-primary-password:hover::after {
    transform: scaleX(1);
}

.link-primary-password:hover {
    color: #0036e9;
}

.link-secondary-portal {
    color: #ff852e;
    font-size: 1.1rem;
    position: relative;
}

.link-secondary-portal::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background-color: #ee5711;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.25s ease;
}

.link-secondary-portal:hover::after {
    transform: scaleX(1);
}

.link-secondary-portal:hover {
    color: #ff7300;
}

.btn-orange {
    display: inline-block;
    background-color: #ea943b;
    color: #fff;
    padding: 12px 30px;
    border-radius: 12px;
    font-size: 1rem;
    text-decoration: none;
    transition: all 0.3s ease;
    box-shadow: 0 6px 15px rgba(234, 148, 59, 0.6);
    border: none;
}

.btn-orange:hover {
    background-color: #ffa23e;
    transform: translateY(-2px);
    box-shadow: 0 10px 22px rgba(234, 148, 59, 0.6);
}

.btn-blue {
    display: inline-block;
    background-color: #3b72ea;
    color: #fff;
    padding: 12px 30px;
    border-radius: 12px;
    font-size: 1rem;
    text-decoration: none;
    transition: all 0.3s ease;
    box-shadow: 0 6px 15px rgba(59, 71, 234, 0.45);
    border: none;
}

.btn-blue:hover {
    background-color: #3e6bff;
    box-shadow: 0 10px 22px rgba(59, 71, 234, 0.45);
}

.btn-blue::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: -100%;
    background: rgba(255,255,255,0.2);
    transition: left 0.4s ease;
}

[id] {
  scroll-margin-top: 130px;
}